Register a new email sending domain for the tenant
curl --request POST \
--url https://api.royalti.io/tenant/email-domain \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "mail.yourlabel.com"
}
'import requests
url = "https://api.royalti.io/tenant/email-domain"
payload = { "domain": "mail.yourlabel.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: 'mail.yourlabel.com'})
};
fetch('https://api.royalti.io/tenant/email-domain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Email domain created. Please add the DNS records to verify.",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"status": "pending",
"dnsRecords": {
"dkim": {
"host": "<string>",
"value": "<string>",
"priority": 123
},
"spf": {
"host": "<string>",
"value": "<string>",
"priority": 123
},
"spfMx": {
"host": "<string>",
"value": "<string>",
"priority": 123
}
},
"instructions": "<string>"
}
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}White Label
Register a new email sending domain for the tenant
POST /tenant/email-domain
POST
/
tenant
/
email-domain
Register a new email sending domain for the tenant
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
POST /tenant/email-domain Description: Registers the domain with the email sending provider and returns the DNS records (DKIM, SPF, and an MX record for the return-path) that must be added before the domain can be verified. A tenant may only have one email domain configured at a time; a domain can only be registered to one tenant. Authorization:- Required role:
owneronly
Code Examples
const response = await fetch('https://api.royalti.io/tenant/email-domain', {
method: 'POST',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"ref": "#/components/schemas/CreateEmailDomainRequest"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.royalti.io/tenant/email-domain',
headers={
'Authorization': f'Bearer {token}'
},
json={"ref":"#/components/schemas/CreateEmailDomainRequest"}
)
data = response.json()
print(data)
curl -X POST https://api.royalti.io/tenant/email-domain \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"ref":"#/components/schemas/CreateEmailDomainRequest"}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Body
application/json
Example:
"mail.yourlabel.com"
Get the tenant's email sending domain configuration
Previous
Delete the tenant's email sending domain
Next
⌘I